ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/group/trunk/OOPSE-3.0/configure
(Generate patch)

Comparing trunk/OOPSE-3.0/configure (file contents):
Revision 2547 by gezelter, Wed Jan 11 23:06:08 2006 UTC vs.
Revision 2558 by gezelter, Thu Jan 12 20:52:07 2006 UTC

# Line 6302 | Line 6302 | fi
6302   _ACEOF
6303  
6304   fi
6305
6306
6307
6305  
6306  
6307  
6308  
6312
6313
6314
6315 for ac_header in libintl.h limits.h stddef.h stdlib.h string.h strings.h sys/param.h sys/time.h unistd.h
6316 do
6317 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6318 if eval "test \"\${$as_ac_Header+set}\" = set"; then
6319  echo "$as_me:$LINENO: checking for $ac_header" >&5
6320 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6321 if eval "test \"\${$as_ac_Header+set}\" = set"; then
6322  echo $ECHO_N "(cached) $ECHO_C" >&6
6323 fi
6324 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6325 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6326 else
6327  # Is the header compilable?
6328 echo "$as_me:$LINENO: checking $ac_header usability" >&5
6329 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
6330 cat >conftest.$ac_ext <<_ACEOF
6331 /* confdefs.h.  */
6332 _ACEOF
6333 cat confdefs.h >>conftest.$ac_ext
6334 cat >>conftest.$ac_ext <<_ACEOF
6335 /* end confdefs.h.  */
6336 $ac_includes_default
6337 #include <$ac_header>
6338 _ACEOF
6339 rm -f conftest.$ac_objext
6340 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
6341  (eval $ac_compile) 2>conftest.er1
6342  ac_status=$?
6343  grep -v '^ *+' conftest.er1 >conftest.err
6344  rm -f conftest.er1
6345  cat conftest.err >&5
6346  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6347  (exit $ac_status); } &&
6348         { ac_try='test -z "$ac_c_werror_flag"
6349                         || test ! -s conftest.err'
6350  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6351  (eval $ac_try) 2>&5
6352  ac_status=$?
6353  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6354  (exit $ac_status); }; } &&
6355         { ac_try='test -s conftest.$ac_objext'
6356  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
6357  (eval $ac_try) 2>&5
6358  ac_status=$?
6359  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6360  (exit $ac_status); }; }; then
6361  ac_header_compiler=yes
6362 else
6363  echo "$as_me: failed program was:" >&5
6364 sed 's/^/| /' conftest.$ac_ext >&5
6309  
6366 ac_header_compiler=no
6367 fi
6368 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
6369 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
6370 echo "${ECHO_T}$ac_header_compiler" >&6
6310  
6372 # Is the header present?
6373 echo "$as_me:$LINENO: checking $ac_header presence" >&5
6374 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
6375 cat >conftest.$ac_ext <<_ACEOF
6376 /* confdefs.h.  */
6377 _ACEOF
6378 cat confdefs.h >>conftest.$ac_ext
6379 cat >>conftest.$ac_ext <<_ACEOF
6380 /* end confdefs.h.  */
6381 #include <$ac_header>
6382 _ACEOF
6383 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
6384  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
6385  ac_status=$?
6386  grep -v '^ *+' conftest.er1 >conftest.err
6387  rm -f conftest.er1
6388  cat conftest.err >&5
6389  echo "$as_me:$LINENO: \$? = $ac_status" >&5
6390  (exit $ac_status); } >/dev/null; then
6391  if test -s conftest.err; then
6392    ac_cpp_err=$ac_c_preproc_warn_flag
6393    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
6394  else
6395    ac_cpp_err=
6396  fi
6397 else
6398  ac_cpp_err=yes
6399 fi
6400 if test -z "$ac_cpp_err"; then
6401  ac_header_preproc=yes
6402 else
6403  echo "$as_me: failed program was:" >&5
6404 sed 's/^/| /' conftest.$ac_ext >&5
6311  
6406  ac_header_preproc=no
6407 fi
6408 rm -f conftest.err conftest.$ac_ext
6409 echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
6410 echo "${ECHO_T}$ac_header_preproc" >&6
6312  
6412 # So?  What about this header?
6413 case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
6414  yes:no: )
6415    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
6416 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
6417    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
6418 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
6419    ac_header_preproc=yes
6420    ;;
6421  no:yes:* )
6422    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
6423 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
6424    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
6425 echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
6426    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
6427 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
6428    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
6429 echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
6430    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
6431 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
6432    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
6433 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
6434    (
6435      cat <<\_ASBOX
6436 ## ------------------------------ ##
6437 ## Report this to gezelter@nd.edu ##
6438 ## ------------------------------ ##
6439 _ASBOX
6440    ) |
6441      sed "s/^/$as_me: WARNING:     /" >&2
6442    ;;
6443 esac
6444 echo "$as_me:$LINENO: checking for $ac_header" >&5
6445 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
6446 if eval "test \"\${$as_ac_Header+set}\" = set"; then
6447  echo $ECHO_N "(cached) $ECHO_C" >&6
6448 else
6449  eval "$as_ac_Header=\$ac_header_preproc"
6450 fi
6451 echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
6452 echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
6313  
6454 fi
6455 if test `eval echo '${'$as_ac_Header'}'` = yes; then
6456  cat >>confdefs.h <<_ACEOF
6457 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
6458 _ACEOF
6314  
6460 fi
6315  
6462 done
6316  
6317  
6318  
# Line 6475 | Line 6328 | for ac_header in stdio.h conio.h strstream.h iostream.
6328  
6329  
6330  
6331 < for ac_header in stdio.h conio.h strstream.h iostream.h fstream.h math.h time.h sys/pstat.h sys/sysmp.h sys/sysinfo.h sys/table.h sys/sysctl.h sys/sytemcfg.h machine/hal_sysinfo.h
6331 > for ac_header in conio.h dlfcn.h fstream.h iostream.h libintl.h limits.h machine/hal_sysinfo.h math.h stddef.h stdio.h stdlib.h string.h strings.h strstream.h sys/param.h sys/pstat.h sys/sysmp.h sys/sysctl.h sys/sysinfo.h sys/systemcfg.h sys/table.h sys/time.h time.h unistd.h zlib.h
6332   do
6333   as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
6334   if eval "test \"\${$as_ac_Header+set}\" = set"; then
# Line 8752 | Line 8605 | for ac_func in floor getpagesize gettimeofday memchr m
8605  
8606  
8607  
8608 < for ac_func in floor getpagesize gettimeofday memchr memmove memset pow pstat_getdynamic rint select snprintf sranddev sqrt strcasecmp strchr strdup stricmp strncasecmp strnicmp strrchr strstr strtol sysmp getsysinfo sysctl table
8608 >
8609 > for ac_func in floor getpagesize gettimeofday memchr memmove memset pow pstat_getdynamic pstat_getstatic rint select snprintf sranddev sqrt strcasecmp strchr strdup stricmp strncasecmp strnicmp strrchr strstr strtol sysmp getsysinfo sysctl table
8610   do
8611   as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
8612   echo "$as_me:$LINENO: checking for $ac_func" >&5

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines